odf.table Namespace Reference

## Functions

def | Background (args)
def | Body (args)
def | CalculationSettings (args)
def | CellAddress (args)
def | CellContentChange (args)
def | CellContentDeletion (args)
def | CellRangeSource (args)
def | ChangeDeletion (args)
def | ChangeTrackTableCell (args)
def | Consolidation (args)
def | ContentValidation (args)
def | ContentValidations (args)
def | CoveredTableCell (args)
def | CutOffs (args)
def | DataPilotDisplayInfo (args)
def | DataPilotField (args)
def | DataPilotFieldReference (args)
def | DataPilotGroup (args)
def | DataPilotGroupMember (args)
def | DataPilotGroups (args)
def | DataPilotLayoutInfo (args)
def | DataPilotLevel (args)
def | DataPilotMember (args)
def | DataPilotMembers (args)
def | DataPilotSortInfo (args)
def | DataPilotSubtotal (args)
def | DataPilotSubtotals (args)
def | DataPilotTable (args)
def | DataPilotTables (args)
def | DatabaseRange (args)
def | DatabaseRanges (args)
def | DatabaseSourceQuery (args)
def | DatabaseSourceSql (args)
def | DatabaseSourceTable (args)
def | DdeLink (args)
def | DdeLinks (args)
def | Deletion (args)
def | Deletions (args)
def | Dependencies (args)
def | Dependency (args)
def | Desc (args)
def | Detective (args)
def | ErrorMacro (args)
def | ErrorMessage (args)
def | EvenColumns (args)
def | EvenRows (args)
def | Filter (args)
def | FilterAnd (args)
def | FilterCondition (args)
def | FilterOr (args)
def | FilterSetItem (args)
def | FirstColumn (args)
def | FirstRow (args)
def | HelpMessage (args)
def | HighlightedRange (args)
def | Insertion (args)
def | InsertionCutOff (args)
def | Iteration (args)
def | LabelRange (args)
def | LabelRanges (args)
def | LastColumn (args)
def | LastRow (args)
def | Movement (args)
def | MovementCutOff (args)
def | NamedExpression (args)
def | NamedExpressions (args)
def | NamedRange (args)
def | NullDate (args)
def | OddColumns (args)
def | OddRows (args)
def | Operation (args)
def | Previous (args)
def | Scenario (args)
def | Shapes (args)
def | Sort (args)
def | SortBy (args)
def | SortGroups (args)
def | SourceCellRange (args)
def | SourceRangeAddress (args)
def | SourceService (args)
def | SubtotalField (args)
def | SubtotalRule (args)
def | SubtotalRules (args)
def | Table (args)
def | TableCell (args)
def | TableColumn (args)
def | TableColumnGroup (args)
def | TableColumns (args)
def | TableHeaderColumns (args)
def | TableHeaderRows (args)
def | TableRow (args)
def | TableRowGroup (args)
def | TableRows (args)
def | TableSource (args)
def | TableTemplate (args)
def | TargetRangeAddress (args)
def | Title (args)
def | TrackedChanges (args)

## Function Documentation

## Background()

def odf.table.Background | ( |  | args | ) |

Definition at line 26 of file table.py.

## Body()

def odf.table.Body | ( |  | args | ) |

Definition at line 29 of file table.py.

## CalculationSettings()

def odf.table.CalculationSettings | ( |  | args | ) |

Definition at line 32 of file table.py.

## CellAddress()

def odf.table.CellAddress | ( |  | args | ) |

Definition at line 35 of file table.py.

## CellContentChange()

def odf.table.CellContentChange | ( |  | args | ) |

Definition at line 38 of file table.py.

## CellContentDeletion()

def odf.table.CellContentDeletion | ( |  | args | ) |

Definition at line 41 of file table.py.

## CellRangeSource()

def odf.table.CellRangeSource | ( |  | args | ) |

Definition at line 44 of file table.py.

## ChangeDeletion()

def odf.table.ChangeDeletion | ( |  | args | ) |

Definition at line 48 of file table.py.

## ChangeTrackTableCell()

def odf.table.ChangeTrackTableCell | ( |  | args | ) |

Definition at line 51 of file table.py.

## Consolidation()

def odf.table.Consolidation | ( |  | args | ) |

Definition at line 54 of file table.py.

## ContentValidation()

def odf.table.ContentValidation | ( |  | args | ) |

Definition at line 57 of file table.py.

## ContentValidations()

def odf.table.ContentValidations | ( |  | args | ) |

Definition at line 60 of file table.py.

## CoveredTableCell()

def odf.table.CoveredTableCell | ( |  | args | ) |

Definition at line 63 of file table.py.

## CutOffs()

def odf.table.CutOffs | ( |  | args | ) |

Definition at line 66 of file table.py.

## DatabaseRange()

def odf.table.DatabaseRange | ( |  | args | ) |

Definition at line 114 of file table.py.

## DatabaseRanges()

def odf.table.DatabaseRanges | ( |  | args | ) |

Definition at line 117 of file table.py.

## DatabaseSourceQuery()

def odf.table.DatabaseSourceQuery | ( |  | args | ) |

Definition at line 120 of file table.py.

## DatabaseSourceSql()

def odf.table.DatabaseSourceSql | ( |  | args | ) |

Definition at line 123 of file table.py.

## DatabaseSourceTable()

def odf.table.DatabaseSourceTable | ( |  | args | ) |

Definition at line 126 of file table.py.

## DataPilotDisplayInfo()

def odf.table.DataPilotDisplayInfo | ( |  | args | ) |

Definition at line 69 of file table.py.

## DataPilotField()

def odf.table.DataPilotField | ( |  | args | ) |

Definition at line 72 of file table.py.

## DataPilotFieldReference()

def odf.table.DataPilotFieldReference | ( |  | args | ) |

Definition at line 75 of file table.py.

## DataPilotGroup()

def odf.table.DataPilotGroup | ( |  | args | ) |

Definition at line 78 of file table.py.

## DataPilotGroupMember()

def odf.table.DataPilotGroupMember | ( |  | args | ) |

Definition at line 81 of file table.py.

## DataPilotGroups()

def odf.table.DataPilotGroups | ( |  | args | ) |

Definition at line 84 of file table.py.

## DataPilotLayoutInfo()

def odf.table.DataPilotLayoutInfo | ( |  | args | ) |

Definition at line 87 of file table.py.

## DataPilotLevel()

def odf.table.DataPilotLevel | ( |  | args | ) |

Definition at line 90 of file table.py.

## DataPilotMember()

def odf.table.DataPilotMember | ( |  | args | ) |

Definition at line 93 of file table.py.

## DataPilotMembers()

def odf.table.DataPilotMembers | ( |  | args | ) |

Definition at line 96 of file table.py.

## DataPilotSortInfo()

def odf.table.DataPilotSortInfo | ( |  | args | ) |

Definition at line 99 of file table.py.

## DataPilotSubtotal()

def odf.table.DataPilotSubtotal | ( |  | args | ) |

Definition at line 102 of file table.py.

## DataPilotSubtotals()

def odf.table.DataPilotSubtotals | ( |  | args | ) |

Definition at line 105 of file table.py.

## DataPilotTable()

def odf.table.DataPilotTable | ( |  | args | ) |

Definition at line 108 of file table.py.

## DataPilotTables()

def odf.table.DataPilotTables | ( |  | args | ) |

Definition at line 111 of file table.py.

## DdeLink()

def odf.table.DdeLink | ( |  | args | ) |

Definition at line 129 of file table.py.

## DdeLinks()

def odf.table.DdeLinks | ( |  | args | ) |

Definition at line 132 of file table.py.

## Deletion()

def odf.table.Deletion | ( |  | args | ) |

Definition at line 135 of file table.py.

## Deletions()

def odf.table.Deletions | ( |  | args | ) |

Definition at line 138 of file table.py.

## Dependencies()

def odf.table.Dependencies | ( |  | args | ) |

Definition at line 141 of file table.py.

## Dependency()

def odf.table.Dependency | ( |  | args | ) |

Definition at line 144 of file table.py.

## Desc()

def odf.table.Desc | ( |  | args | ) |

Definition at line 147 of file table.py.

## Detective()

def odf.table.Detective | ( |  | args | ) |

Definition at line 150 of file table.py.

## ErrorMacro()

def odf.table.ErrorMacro | ( |  | args | ) |

Definition at line 153 of file table.py.

## ErrorMessage()

def odf.table.ErrorMessage | ( |  | args | ) |

Definition at line 156 of file table.py.

## EvenColumns()

def odf.table.EvenColumns | ( |  | args | ) |

Definition at line 159 of file table.py.

## EvenRows()

def odf.table.EvenRows | ( |  | args | ) |

Definition at line 162 of file table.py.

## Filter()

def odf.table.Filter | ( |  | args | ) |

Definition at line 165 of file table.py.

## FilterAnd()

def odf.table.FilterAnd | ( |  | args | ) |

Definition at line 168 of file table.py.

## FilterCondition()

def odf.table.FilterCondition | ( |  | args | ) |

Definition at line 171 of file table.py.

## FilterOr()

def odf.table.FilterOr | ( |  | args | ) |

Definition at line 174 of file table.py.

## FilterSetItem()

def odf.table.FilterSetItem | ( |  | args | ) |

Definition at line 177 of file table.py.

## FirstColumn()

def odf.table.FirstColumn | ( |  | args | ) |

Definition at line 180 of file table.py.

## FirstRow()

def odf.table.FirstRow | ( |  | args | ) |

Definition at line 183 of file table.py.

## HelpMessage()

def odf.table.HelpMessage | ( |  | args | ) |

Definition at line 186 of file table.py.

## HighlightedRange()

def odf.table.HighlightedRange | ( |  | args | ) |

Definition at line 189 of file table.py.

## Insertion()

def odf.table.Insertion | ( |  | args | ) |

Definition at line 192 of file table.py.

## InsertionCutOff()

def odf.table.InsertionCutOff | ( |  | args | ) |

Definition at line 195 of file table.py.

## Iteration()

def odf.table.Iteration | ( |  | args | ) |

Definition at line 198 of file table.py.

## LabelRange()

def odf.table.LabelRange | ( |  | args | ) |

Definition at line 201 of file table.py.

## LabelRanges()

def odf.table.LabelRanges | ( |  | args | ) |

Definition at line 204 of file table.py.

## LastColumn()

def odf.table.LastColumn | ( |  | args | ) |

Definition at line 207 of file table.py.

## LastRow()

def odf.table.LastRow | ( |  | args | ) |

Definition at line 210 of file table.py.

## Movement()

def odf.table.Movement | ( |  | args | ) |

Definition at line 213 of file table.py.

## MovementCutOff()

def odf.table.MovementCutOff | ( |  | args | ) |

Definition at line 216 of file table.py.

## NamedExpression()

def odf.table.NamedExpression | ( |  | args | ) |

Definition at line 219 of file table.py.

## NamedExpressions()

def odf.table.NamedExpressions | ( |  | args | ) |

Definition at line 222 of file table.py.

## NamedRange()

def odf.table.NamedRange | ( |  | args | ) |

Definition at line 225 of file table.py.

## NullDate()

def odf.table.NullDate | ( |  | args | ) |

Definition at line 228 of file table.py.

## OddColumns()

def odf.table.OddColumns | ( |  | args | ) |

Definition at line 231 of file table.py.

## OddRows()

def odf.table.OddRows | ( |  | args | ) |

Definition at line 234 of file table.py.

## Operation()

def odf.table.Operation | ( |  | args | ) |

Definition at line 237 of file table.py.

## Previous()

def odf.table.Previous | ( |  | args | ) |

Definition at line 240 of file table.py.

## Scenario()

def odf.table.Scenario | ( |  | args | ) |

Definition at line 243 of file table.py.

## Shapes()

def odf.table.Shapes | ( |  | args | ) |

Definition at line 246 of file table.py.

## Sort()

def odf.table.Sort | ( |  | args | ) |

Definition at line 249 of file table.py.

## SortBy()

def odf.table.SortBy | ( |  | args | ) |

Definition at line 252 of file table.py.

## SortGroups()

def odf.table.SortGroups | ( |  | args | ) |

Definition at line 255 of file table.py.

## SourceCellRange()

def odf.table.SourceCellRange | ( |  | args | ) |

Definition at line 258 of file table.py.

## SourceRangeAddress()

def odf.table.SourceRangeAddress | ( |  | args | ) |

Definition at line 261 of file table.py.

## SourceService()

def odf.table.SourceService | ( |  | args | ) |

Definition at line 264 of file table.py.

## SubtotalField()

def odf.table.SubtotalField | ( |  | args | ) |

Definition at line 267 of file table.py.

## SubtotalRule()

def odf.table.SubtotalRule | ( |  | args | ) |

Definition at line 270 of file table.py.

## SubtotalRules()

def odf.table.SubtotalRules | ( |  | args | ) |

Definition at line 273 of file table.py.

## Table()

def odf.table.Table | ( |  | args | ) |

Definition at line 276 of file table.py.

## TableCell()

def odf.table.TableCell | ( |  | args | ) |

Definition at line 279 of file table.py.

## TableColumn()

def odf.table.TableColumn | ( |  | args | ) |

Definition at line 282 of file table.py.

## TableColumnGroup()

def odf.table.TableColumnGroup | ( |  | args | ) |

Definition at line 285 of file table.py.

## TableColumns()

def odf.table.TableColumns | ( |  | args | ) |

Definition at line 288 of file table.py.

## TableHeaderColumns()

def odf.table.TableHeaderColumns | ( |  | args | ) |

Definition at line 291 of file table.py.

## TableHeaderRows()

def odf.table.TableHeaderRows | ( |  | args | ) |

Definition at line 294 of file table.py.

## TableRow()

def odf.table.TableRow | ( |  | args | ) |

Definition at line 297 of file table.py.

## TableRowGroup()

def odf.table.TableRowGroup | ( |  | args | ) |

Definition at line 300 of file table.py.

## TableRows()

def odf.table.TableRows | ( |  | args | ) |

Definition at line 303 of file table.py.

## TableSource()

def odf.table.TableSource | ( |  | args | ) |

Definition at line 306 of file table.py.

## TableTemplate()

def odf.table.TableTemplate | ( |  | args | ) |

Definition at line 310 of file table.py.

## TargetRangeAddress()

def odf.table.TargetRangeAddress | ( |  | args | ) |

Definition at line 313 of file table.py.

## Title()

def odf.table.Title | ( |  | args | ) |

Definition at line 316 of file table.py.

## TrackedChanges()

def odf.table.TrackedChanges | ( |  | args | ) |

Definition at line 319 of file table.py.